Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface DesktopDefinitionControl

    public interface DesktopDefinitionControl

A custom control interface used to interact with DesktopDefinitions.

Method Summary
`com.bea.netuix.application.definition.DesktopDefinition` | `createDesktopDefinition(String desktopName, String desktopDescription, com.bea.netuix.application.identifier.ShellDefinitionId shellId, com.bea.netuix.application.identifier.LookAndFeelDefinitionId lafId, com.bea.netuix.application.identifier.BookDefinitionId bookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Creates a new desktop defintion.
`com.bea.netuix.application.definition.DesktopDefinition` | `createDesktopFromPortalFile(String portalTemplatePath, String desktopTitle, String desktopDescription, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, int disassemblerAction, com.bea.portal.tools.common.ResourceContext context)` Creates a desktop from a portal file
`com.bea.netuix.application.definition.DesktopDefinition` | `createDesktopFromTemplate(com.bea.netuix.application.identifier.TemplateId id, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, String title, String description, com.bea.portal.tools.common.ResourceContext context)` Creates a desktop from the specified template
`com.bea.netuix.application.definition.DesktopDefinition` | `createDesktopTemplate(String desktopName, String desktopDescription, com.bea.netuix.application.identifier.ShellDefinitionId shellId, com.bea.netuix.application.identifier.LookAndFeelDefinitionId lafId, com.bea.netuix.application.identifier.BookDefinitionId bookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, boolean global, com.bea.portal.tools.common.ResourceContext context)` Creates a new desktop template.
`com.bea.netuix.application.definition.DesktopDefinition` | `createDesktopTemplateFromPortalFile(String portalTemplatePath, String desktopTitle, String desktopDescription, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, int disassemblerAction, boolean global, com.bea.portal.tools.common.ResourceContext context)` Creates a desktop template from a portal file
`void` | `deleteDesktopDefinition(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, boolean cascadeDelete, com.bea.portal.tools.common.ResourceContext context)` Deletes a desktop definition object
`com.bea.netuix.application.definition.DesktopDefinition` | `getDesktopDefinition(com.bea.netuix.application.identifier.DesktopDefinitionId desktopDefId, com.bea.portal.tools.common.ResourceContext context)` Gets the DesktopDefinition for the specified ID.
`com.bea.netuix.application.definition.DesktopDefinition` | `getDesktopDefinition(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Gets a mutable DesktopDefinition object.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.DesktopDefinition>` | `getDesktopDefinitions(int pageSize, com.bea.netuix.application.manager.persistence.DesktopSearchCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` Gets all the desktop defintions scoped to the specified webapp and portal.
`com.bea.netuix.application.view.DesktopView` | `getDesktopView(String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Gets a desktop view scoped to the web app.
`com.bea.netuix.application.view.DesktopView` | `getDesktopViewFromPortalFile(String webApp, String path, com.bea.portal.tools.common.ResourceContext context)` Gets a desktop view from a portal file.
`void` | `updateDesktopDefinition(com.bea.netuix.application.definition.DesktopDefinition desktopDef, com.bea.portal.tools.common.ResourceContext context)` Update a desktop definition.
`void` | `updateLookAndFeelInDesktopDefinition(com.bea.netuix.application.identifier.LookAndFeelDefinitionId lafId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Updates the the look and feel for a desktop definiton.
`void` | `updatePrimaryBookInDesktopDefinition(com.bea.netuix.application.identifier.BookDefinitionId bookId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Updates the primary book definition associated with a desktop.
`void` | `updateShellInDesktopDefinition(com.bea.netuix.application.identifier.ShellDefinitionId shellId, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Update the shell for the desktop.
`void` | `updateTreeOptimization(boolean opt, String webApp, com.bea.netuix.application.identifier.PortalPath portalPath, com.bea.netuix.application.identifier.DesktopPath desktopPath, com.bea.portal.tools.common.ResourceContext context)` Updates the tree optization attribute for the desktop

Method Detail

### getDesktopView

    com.bea.netuix.application.view.DesktopView getDesktopView(String webApp,
                                                               com.bea.netuix.application.identifier.PortalPath portalPath,
                                                               com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                               com.bea.portal.tools.common.ResourceContext context)
                                                               throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a desktop view scoped to the web app. This contains an immutable view of all child resources.

  Parameters
    `webApp` - the web application name
    `portalPath` - The path to the portal containg this desktop.
    `desktopPath` - The path to the desktop
    `context` - the resource context
  Returns
    A DesktopView
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getDesktopDefinition

    com.bea.netuix.application.definition.DesktopDefinition getDesktopDefinition(String webApp,
                                                                                 com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                                 com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                                 com.bea.portal.tools.common.ResourceContext context)
                                                                                 throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a mutable DesktopDefinition object.

  Parameters
    `webApp` - the web application name
    `portalPath` - The path to portal.
    `desktopPath` - The path of the desktop.
    `context` - the resource context
  Returns
    A desktop definition object
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getDesktopDefinition

    com.bea.netuix.application.definition.DesktopDefinition getDesktopDefinition(com.bea.netuix.application.identifier.DesktopDefinitionId desktopDefId,
                                                                                 com.bea.portal.tools.common.ResourceContext context)
                                                                                 throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets the DesktopDefinition for the specified ID.

  Parameters
    `desktopDefId` -
    `context` - a resource context
  Returns
    A specified desktop definition
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getDesktopDefinitions

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.DesktopDefinition> getDesktopDefinitions(int pageSize,
                                                                                                                                         com.bea.netuix.application.manager.persistence.DesktopSearchCriteria criteria,
                                                                                                                                         com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                         throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets all the desktop defintions scoped to the specified webapp and portal.

  Parameters
    `pageSize` - The pagesize of the returned PagedResult.
    `criteria` - the criteria for the search, including webapp and portal path
    `context` - the resource context
  Returns
    The PagedResult object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### updateTreeOptimization

    void updateTreeOptimization(boolean opt,
                                String webApp,
                                com.bea.netuix.application.identifier.PortalPath portalPath,
                                com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                com.bea.portal.tools.common.ResourceContext context)
                                throws com.bea.portal.tools.common.exceptions.ToolsException,
                                       com.bea.netuix.application.exception.NotEntitledException,
                                       com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the tree optization attribute for the desktop

  Parameters
    `opt` - true eneables optimizations.
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### deleteDesktopDefinition

    void deleteDesktopDefinition(String webApp,
                                 com.bea.netuix.application.identifier.PortalPath portalPath,
                                 com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                 boolean cascadeDelete,
                                 com.bea.portal.tools.common.ResourceContext context)
                                 throws com.bea.portal.tools.common.exceptions.ToolsException,
                                        com.bea.netuix.application.exception.ObjectInUseException,
                                        com.bea.netuix.application.exception.NotEntitledException,
                                        com.bea.netuix.application.exception.ObjectNotFoundException

  Deletes a desktop definition object

  Parameters
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `cascadeDelete` - True to perform a cascade delete.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.ObjectInUseException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updateShellInDesktopDefinition

    void updateShellInDesktopDefinition(com.bea.netuix.application.identifier.ShellDefinitionId shellId,
                                        String webApp,
                                        com.bea.netuix.application.identifier.PortalPath portalPath,
                                        com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                        com.bea.portal.tools.common.ResourceContext context)
                                        throws com.bea.portal.tools.common.exceptions.ToolsException,
                                               com.bea.netuix.application.exception.NotEntitledException,
                                               com.bea.netuix.application.exception.ObjectNotFoundException

  Update the shell for the desktop.

  Parameters
    `shellId` - The id of the shell definition.
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updateLookAndFeelInDesktopDefinition

    void updateLookAndFeelInDesktopDefinition(com.bea.netuix.application.identifier.LookAndFeelDefinitionId lafId,
                                              String webApp,
                                              com.bea.netuix.application.identifier.PortalPath portalPath,
                                              com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                              com.bea.portal.tools.common.ResourceContext context)
                                              throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                     com.bea.netuix.application.exception.NotEntitledException,
                                                     com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the the look and feel for a desktop definiton.

  Parameters
    `lafId` - The look and feel id for the desktop.
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updatePrimaryBookInDesktopDefinition

    void updatePrimaryBookInDesktopDefinition(com.bea.netuix.application.identifier.BookDefinitionId bookId,
                                              String webApp,
                                              com.bea.netuix.application.identifier.PortalPath portalPath,
                                              com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                              com.bea.portal.tools.common.ResourceContext context)
                                              throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                     com.bea.netuix.application.exception.NotEntitledException,
                                                     com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the primary book definition associated with a desktop.

  Parameters
    `bookId` - The book definition id.
    `webApp` - the web application name
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updateDesktopDefinition

    void updateDesktopDefinition(com.bea.netuix.application.definition.DesktopDefinition desktopDef,
                                 com.bea.portal.tools.common.ResourceContext context)
                                 throws com.bea.portal.tools.common.exceptions.ToolsException,
                                        com.bea.netuix.application.exception.NotEntitledException,
                                        com.bea.netuix.application.exception.ObjectNotFoundException

  Update a desktop definition.

  Parameters
    `desktopDef` - The desktop definition to update.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### createDesktopDefinition

    com.bea.netuix.application.definition.DesktopDefinition createDesktopDefinition(String desktopName,
                                                                                    String desktopDescription,
                                                                                    com.bea.netuix.application.identifier.ShellDefinitionId shellId,
                                                                                    com.bea.netuix.application.identifier.LookAndFeelDefinitionId lafId,
                                                                                    com.bea.netuix.application.identifier.BookDefinitionId bookId,
                                                                                    String webApp,
                                                                                    com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                                    com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                                    com.bea.portal.tools.common.ResourceContext context)
                                                                                    throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                           com.bea.netuix.application.exception.DuplicateObjectException,
                                                                                           com.bea.netuix.application.exception.NotEntitledException,
                                                                                           com.bea.netuix.application.exception.MissingDataException,
                                                                                           com.bea.netuix.application.exception.ObjectNotFoundException

  Creates a new desktop defintion.

  Parameters
    `desktopName` - The desktop name.
    `desktopDescription` - The description of the desktop.
    `shellId` - The id of the shell definition.
    `lafId` - The id of the look and feel.
    `bookId` - The id of the primary book.
    `webApp` - The webapp scope.
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `context` - the resource context
  Returns
    the created DesktopDefinition object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.DuplicateObjectException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### createDesktopTemplate

    com.bea.netuix.application.definition.DesktopDefinition createDesktopTemplate(String desktopName,
                                                                                  String desktopDescription,
                                                                                  com.bea.netuix.application.identifier.ShellDefinitionId shellId,
                                                                                  com.bea.netuix.application.identifier.LookAndFeelDefinitionId lafId,
                                                                                  com.bea.netuix.application.identifier.BookDefinitionId bookId,
                                                                                  String webApp,
                                                                                  com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                                  com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                                  boolean global,
                                                                                  com.bea.portal.tools.common.ResourceContext context)
                                                                                  throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                         com.bea.netuix.application.exception.DuplicateObjectException,
                                                                                         com.bea.netuix.application.exception.NotEntitledException,
                                                                                         com.bea.netuix.application.exception.MissingDataException,
                                                                                         com.bea.netuix.application.exception.ObjectNotFoundException

  Creates a new desktop template.

  Parameters
    `desktopName` - The desktop name.
    `desktopDescription` - The description of the desktop.
    `shellId` - The id of the shell definition.
    `lafId` - The id of the look and feel.
    `bookId` - The id of the primary book.
    `webApp` - The webapp scope.
    `portalPath` - The portal path containing the desktop.
    `desktopPath` - The desktop path to delete.
    `global` - does this template appear in the library
    `context` - the resource context
  Returns
    the created DesktopDefinition object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.DuplicateObjectException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### createDesktopFromTemplate

    com.bea.netuix.application.definition.DesktopDefinition createDesktopFromTemplate(com.bea.netuix.application.identifier.TemplateId id,
                                                                                      com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                                      com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                                      String title,
                                                                                      String description,
                                                                                      com.bea.portal.tools.common.ResourceContext context)
                                                                                      throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                             com.bea.netuix.application.exception.DuplicateObjectException,
                                                                                             com.bea.netuix.application.exception.NotEntitledException,
                                                                                             com.bea.netuix.application.exception.MissingDataException,
                                                                                             com.bea.netuix.application.exception.ObjectNotFoundException

  Creates a desktop from the specified template

  Parameters
    `id` - the ID of the template to create the desktop from.
    `portalPath` - the portal path for the new desktop
    `desktopPath` - the desktop path for the new desktop
    `title` - the title of the new desktop
    `description` - the description of the new desktop
    `context` - the resource context
  Returns
  Throws
    `com.bea.netuix.application.exception.DuplicateObjectException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getDesktopViewFromPortalFile

    com.bea.netuix.application.view.DesktopView getDesktopViewFromPortalFile(String webApp,
                                                                             String path,
                                                                             com.bea.portal.tools.common.ResourceContext context)
                                                                             throws IOException,
                                                                                    com.bea.netuix.application.transform.disassembler.XmlDisassemblerException,
                                                                                    FileNotFoundException,
                                                                                    com.bea.portal.tools.common.exceptions.ToolsException

  Gets a desktop view from a portal file.

  Parameters
    `webApp` - the portal file resides in.
    `path` - the portal file.
    `context` - the resource context
  Returns
  Throws
    `IOException`
    `com.bea.netuix.application.transform.disassembler.XmlDisassemblerException`
    `FileNotFoundException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### createDesktopFromPortalFile

    com.bea.netuix.application.definition.DesktopDefinition createDesktopFromPortalFile(String portalTemplatePath,
                                                                                        String desktopTitle,
                                                                                        String desktopDescription,
                                                                                        String webApp,
                                                                                        com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                                        com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                                        int disassemblerAction,
                                                                                        com.bea.portal.tools.common.ResourceContext context)
                                                                                        throws IOException,
                                                                                               com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                               com.bea.netuix.application.exception.DuplicateObjectException,
                                                                                               com.bea.netuix.application.exception.DuplicateDefinitionException,
                                                                                               com.bea.netuix.application.exception.NotEntitledException,
                                                                                               com.bea.netuix.application.exception.MissingDataException,
                                                                                               com.bea.netuix.application.exception.ObjectNotFoundException,
                                                                                               com.bea.netuix.application.transform.disassembler.XmlDisassemblerException,
                                                                                               ViewDisassemblerException

  Creates a desktop from a portal file

  Parameters
    `portalTemplatePath` - the portal file to create a desktop from
    `desktopTitle` - the title of the new desktop
    `desktopDescription` - the description of the new desktop
    `webApp` - the web application name
    `portalPath` - the portal path for the new desktop
    `desktopPath` - the desktop path for the new desktop
    `disassemblerAction` -
    `context` - the resource context
  Returns
  Throws
    `IOException`
    `com.bea.netuix.application.exception.DuplicateObjectException`
    `com.bea.netuix.application.exception.DuplicateDefinitionException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.netuix.application.transform.disassembler.XmlDisassemblerException`
    `ViewDisassemblerException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### createDesktopTemplateFromPortalFile

    com.bea.netuix.application.definition.DesktopDefinition createDesktopTemplateFromPortalFile(String portalTemplatePath,
                                                                                                String desktopTitle,
                                                                                                String desktopDescription,
                                                                                                String webApp,
                                                                                                com.bea.netuix.application.identifier.PortalPath portalPath,
                                                                                                com.bea.netuix.application.identifier.DesktopPath desktopPath,
                                                                                                int disassemblerAction,
                                                                                                boolean global,
                                                                                                com.bea.portal.tools.common.ResourceContext context)
                                                                                                throws IOException,
                                                                                                       com.bea.portal.tools.common.exceptions.ToolsException,
                                                                                                       com.bea.netuix.application.exception.DuplicateObjectException,
                                                                                                       com.bea.netuix.application.exception.DuplicateDefinitionException,
                                                                                                       com.bea.netuix.application.exception.NotEntitledException,
                                                                                                       com.bea.netuix.application.exception.MissingDataException,
                                                                                                       com.bea.netuix.application.exception.ObjectNotFoundException,
                                                                                                       com.bea.netuix.application.transform.disassembler.XmlDisassemblerException,
                                                                                                       ViewDisassemblerException

  Creates a desktop template from a portal file

  Parameters
    `portalTemplatePath` - the portal file to create a desktop template from
    `desktopTitle` - the title of the new desktop
    `desktopDescription` - the description of the new desktop
    `webApp` - the web application name
    `portalPath` - the portal path for the new desktop
    `desktopPath` - the desktop path for the new desktop
    `disassemblerAction` -
    `global` - does this template reside in the library
    `context` - the resource context
  Returns
  Throws
    `IOException`
    `com.bea.netuix.application.exception.DuplicateObjectException`
    `com.bea.netuix.application.exception.DuplicateDefinitionException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.netuix.application.transform.disassembler.XmlDisassemblerException`
    `ViewDisassemblerException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved